Bug 255124 - www/sogo-activesync fails with an exception after upgrade to 13.0-RELEASE
Summary: www/sogo-activesync fails with an exception after upgrade to 13.0-RELEASE
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
: 255462 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-04-16 14:31 UTC by Mohammad S. Babaei
Modified: 2021-07-21 19:16 UTC (History)
7 users (show)

See Also:
bugzilla: maintainer-feedback? (acm)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammad S. Babaei 2021-04-16 14:31:54 UTC
Apr 16 14:29:51 sogod [16830]: version 5.0.1 (build root@130releng-amd64-quarterly-job-08 202104100116) -- starting
Apr 16 14:29:51 sogod [16830]: vmem size check enabled: shutting down app when vmem > 384 MB. Currently at 0 MB
Apr 16 14:29:51 sogod [16830]: <0x0x80451cfc8[SOGoProductLoader]> SOGo products loaded from '/usr/local/GNUstep/Local/Library/SOGo':
Apr 16 14:29:51 sogod [16830]: <0x0x80451cfc8[SOGoProductLoader]>   Mailer.SOGo, PreferencesUI.SOGo, Appointments.SOGo, AdministrationUI.SOGo, SchedulerUI.SOGo, MainUI.SOGo, ActiveSync.SOGo, ContactsUI.SOGo, CommonUI.SOGo, MailPartViewers.SOGo, Contacts.SOGo, MailerUI.SOGo
Apr 16 14:29:51 sogod [16830]: All products loaded - current memory usage at 0 MB
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> listening on *:24042
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> watchdog process pid: 16830
Apr 16 14:29:51 sogod [16830]: <0x0x8014ac898[WOWatchDogChild]> watchdog request timeout set to 10 minutes
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> preparing 10 children
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> child spawned with pid 17003
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> child spawned with pid 17150
Apr 16 14:29:51 sogod [17003]: [ERROR] <0x0x803c88ca8[WOWatchDog]> an exception occured in runloop <NSException: 0x80477f2e8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Apr 16 14:29:51 sogod [17150]: [ERROR] <0x0x803c88ca8[WOWatchDog]> an exception occured in runloop <NSException: 0x80477f2e8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)Throwing 0x80477f2e8, in flight exception: 0
Exception caught by C++: 0
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> child spawned with pid 17327

Throwing 0x80477f2e8, in flight exception: 0
Exception caught by C++: 0
Apr 16 14:29:51 sogod [17327]: [ERROR] <0x0x803c88ca8[WOWatchDog]> an exception occured in runloop <NSException: 0x80477f2e8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Apr 16 14:29:51 sogod [17351]: [ERROR] <0x0x803c88ca8[WOWatchDog]> an exception occured in runloop <NSException: 0x80477f2e8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> child spawned with pid 17351

Throwing 0x80477f2e8, in flight exception: 0
Exception caught by C++: 0
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> child spawned with pid 17670
Throwing 0x80477f2e8, in flight exception: 0
Exception caught by C++: 0
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> child spawned with pid 18153
Apr 16 14:29:51 sogod [17670]: [ERROR] <0x0x803c88ca8[WOWatchDog]> an exception occured in runloop <NSException: 0x80477f2e8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> child spawned with pid 18363Apr 16 14:29:51 sogod [18153]: [ERROR] <0x0x803c88ca8[WOWatchDog]> an exception occured in runloop <NSException: 0x80477f2e8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)

Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> child spawned with pid 18758Throwing 0x80477f2e8, in flight exception: 0
Exception caught by C++: 0

Throwing 0x80477f2e8, in flight exception: 0
Exception caught by C++: 0
Apr 16 14:29:51 sogod [18363]: [ERROR] <0x0x803c88ca8[WOWatchDog]> an exception occured in runloop <NSException: 0x80477f2e8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)Apr 16 14:29:51 sogod [18758]: [ERROR] <0x0x803c88ca8[WOWatchDog]> an exception occured in runloop <NSException: 0x80477f2e8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> child spawned with pid 19320

Throwing 0x80477f2e8, in flight exception: 0
Exception caught by C++: 0
Throwing 0x80477f2e8, in flight exception: 0
Exception caught by C++: 0
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> child spawned with pid 19891
Apr 16 14:29:51 sogod [19320]: [ERROR] <0x0x803c88ca8[WOWatchDog]> an exception occured in runloop <NSException: 0x80477f2e8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Apr 16 14:29:51 sogod [19891]: [ERROR] <0x0x803c88ca8[WOWatchDog]> an exception occured in runloop <NSException: 0x80477f2e8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Throwing 0x80477f2e8, in flight exception: 0
Exception caught by C++: 0
Throwing 0x80477f2e8, in flight exception: 0
Exception caught by C++: 0
Apr 16 14:29:51 sogod [16830]: <0x0x8046fa968[WOWatchDogChild]> child 19891 exited
Apr 16 14:29:51 sogod [16830]: <0x0x8046fa918[WOWatchDogChild]> child 19320 exited
Apr 16 14:29:51 sogod [16830]: <0x0x8046faaf8[WOWatchDogChild]> child 18758 exited
Apr 16 14:29:51 sogod [16830]: <0x0x8046fab48[WOWatchDogChild]> child 18363 exited
Apr 16 14:29:51 sogod [16830]: <0x0x8046fab98[WOWatchDogChild]> child 18153 exited
Apr 16 14:29:51 sogod [16830]: <0x0x8046fac38[WOWatchDogChild]> child 17670 exited
Apr 16 14:29:51 sogod [16830]: <0x0x8046fac88[WOWatchDogChild]> child 17351 exited
Apr 16 14:29:51 sogod [16830]: <0x0x8046faff8[WOWatchDogChild]> child 17327 exited
Apr 16 14:29:51 sogod [16830]: <0x0x8046fafa8[WOWatchDogChild]> child 17150 exited
Apr 16 14:29:51 sogod [16830]: <0x0x8046fb048[WOWatchDogChild]> child 17003 exited
Apr 16 14:29:51 sogod [16830]: <0x0x8046fb048[WOWatchDogChild]> avoiding to respawn child before 2021-04-16 14:29:56 +0000
Apr 16 14:29:51 sogod [16830]: <0x0x8046fafa8[WOWatchDogChild]> avoiding to respawn child before 2021-04-16 14:29:56 +0000
Apr 16 14:29:51 sogod [16830]: <0x0x8046faff8[WOWatchDogChild]> avoiding to respawn child before 2021-04-16 14:29:56 +0000
Apr 16 14:29:51 sogod [16830]: <0x0x8046fac88[WOWatchDogChild]> avoiding to respawn child before 2021-04-16 14:29:56 +0000
Apr 16 14:29:51 sogod [16830]: <0x0x8046fac38[WOWatchDogChild]> avoiding to respawn child before 2021-04-16 14:29:56 +0000
Apr 16 14:29:51 sogod [16830]: <0x0x8046fab98[WOWatchDogChild]> avoiding to respawn child before 2021-04-16 14:29:56 +0000
Apr 16 14:29:51 sogod [16830]: <0x0x8046fab48[WOWatchDogChild]> avoiding to respawn child before 2021-04-16 14:29:56 +0000
Apr 16 14:29:51 sogod [16830]: <0x0x8046faaf8[WOWatchDogChild]> avoiding to respawn child before 2021-04-16 14:29:56 +0000
Apr 16 14:29:51 sogod [16830]: <0x0x8046fa918[WOWatchDogChild]> avoiding to respawn child before 2021-04-16 14:29:56 +0000
Apr 16 14:29:51 sogod [16830]: <0x0x8046fa968[WOWatchDogChild]> avoiding to respawn child before 2021-04-16 14:29:56 +0000
^C
Apr 16 14:29:51 sogod [16830]: version 5.0.1 (build root@130releng-amd64-quarterly-job-08 202104100116) -- starting
Apr 16 14:29:51 sogod [16830]: vmem size check enabled: shutting down app when vmem > 384 MB. Currently at 0 MB
Apr 16 14:29:51 sogod [16830]: <0x0x80451cfc8[SOGoProductLoader]> SOGo products loaded from '/usr/local/GNUstep/Local/Library/SOGo':
Apr 16 14:29:51 sogod [16830]: <0x0x80451cfc8[SOGoProductLoader]>   Mailer.SOGo, PreferencesUI.SOGo, Appointments.SOGo, AdministrationUI.SOGo, SchedulerUI.SOGo, MainUI.SOGo, ActiveSync.SOGo, ContactsUI.SOGo, CommonUI.SOGo, MailPartViewers.SOGo, Contacts.SOGo, MailerUI.SOGo
Apr 16 14:29:51 sogod [16830]: All products loaded - current memory usage at 0 MB
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> listening on *:24042
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> watchdog process pid: 16830
Apr 16 14:29:51 sogod [16830]: <0x0x8014ac898[WOWatchDogChild]> watchdog request timeout set to 10 minutes
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> preparing 10 children
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> child spawned with pid 17003
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> child spawned with pid 17150
Apr 16 14:29:51 sogod [17003]: [ERROR] <0x0x803c88ca8[WOWatchDog]> an exception occured in runloop <NSException: 0x80477f2e8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Apr 16 14:29:51 sogod [17150]: [ERROR] <0x0x803c88ca8[WOWatchDog]> an exception occured in runloop <NSException: 0x80477f2e8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)Throwing 0x80477f2e8, in flight exception: 0
Exception caught by C++: 0
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> child spawned with pid 17327

Throwing 0x80477f2e8, in flight exception: 0
Exception caught by C++: 0
Apr 16 14:29:51 sogod [17327]: [ERROR] <0x0x803c88ca8[WOWatchDog]> an exception occured in runloop <NSException: 0x80477f2e8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Apr 16 14:29:51 sogod [17351]: [ERROR] <0x0x803c88ca8[WOWatchDog]> an exception occured in runloop <NSException: 0x80477f2e8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> child spawned with pid 17351

Throwing 0x80477f2e8, in flight exception: 0
Exception caught by C++: 0
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> child spawned with pid 17670
Throwing 0x80477f2e8, in flight exception: 0
Exception caught by C++: 0
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> child spawned with pid 18153
Apr 16 14:29:51 sogod [17670]: [ERROR] <0x0x803c88ca8[WOWatchDog]> an exception occured in runloop <NSException: 0x80477f2e8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> child spawned with pid 18363Apr 16 14:29:51 sogod [18153]: [ERROR] <0x0x803c88ca8[WOWatchDog]> an exception occured in runloop <NSException: 0x80477f2e8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)

Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> child spawned with pid 18758Throwing 0x80477f2e8, in flight exception: 0
Exception caught by C++: 0

Throwing 0x80477f2e8, in flight exception: 0
Exception caught by C++: 0
Apr 16 14:29:51 sogod [18363]: [ERROR] <0x0x803c88ca8[WOWatchDog]> an exception occured in runloop <NSException: 0x80477f2e8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)Apr 16 14:29:51 sogod [18758]: [ERROR] <0x0x803c88ca8[WOWatchDog]> an exception occured in runloop <NSException: 0x80477f2e8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> child spawned with pid 19320

Throwing 0x80477f2e8, in flight exception: 0
Exception caught by C++: 0
Throwing 0x80477f2e8, in flight exception: 0
Exception caught by C++: 0
Apr 16 14:29:51 sogod [16830]: <0x0x803c88ca8[WOWatchDog]> child spawned with pid 19891
Apr 16 14:29:51 sogod [19320]: [ERROR] <0x0x803c88ca8[WOWatchDog]> an exception occured in runloop <NSException: 0x80477f2e8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Apr 16 14:29:51 sogod [19891]: [ERROR] <0x0x803c88ca8[WOWatchDog]> an exception occured in runloop <NSException: 0x80477f2e8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Throwing 0x80477f2e8, in flight exception: 0
Exception caught by C++: 0
Throwing 0x80477f2e8, in flight exception: 0
Exception caught by C++: 0
Apr 16 14:29:51 sogod [16830]: <0x0x8046fa968[WOWatchDogChild]> child 19891 exited
Apr 16 14:29:51 sogod [16830]: <0x0x8046fa918[WOWatchDogChild]> child 19320 exited
Apr 16 14:29:51 sogod [16830]: <0x0x8046faaf8[WOWatchDogChild]> child 18758 exited
Apr 16 14:29:51 sogod [16830]: <0x0x8046fab48[WOWatchDogChild]> child 18363 exited
Apr 16 14:29:51 sogod [16830]: <0x0x8046fab98[WOWatchDogChild]> child 18153 exited
Apr 16 14:29:51 sogod [16830]: <0x0x8046fac38[WOWatchDogChild]> child 17670 exited
Apr 16 14:29:51 sogod [16830]: <0x0x8046fac88[WOWatchDogChild]> child 17351 exited
Apr 16 14:29:51 sogod [16830]: <0x0x8046faff8[WOWatchDogChild]> child 17327 exited
Apr 16 14:29:51 sogod [16830]: <0x0x8046fafa8[WOWatchDogChild]> child 17150 exited
Apr 16 14:29:51 sogod [16830]: <0x0x8046fb048[WOWatchDogChild]> child 17003 exited
Apr 16 14:29:51 sogod [16830]: <0x0x8046fb048[WOWatchDogChild]> avoiding to respawn child before 2021-04-16 14:29:56 +0000
Apr 16 14:29:51 sogod [16830]: <0x0x8046fafa8[WOWatchDogChild]> avoiding to respawn child before 2021-04-16 14:29:56 +0000
Apr 16 14:29:51 sogod [16830]: <0x0x8046faff8[WOWatchDogChild]> avoiding to respawn child before 2021-04-16 14:29:56 +0000
Apr 16 14:29:51 sogod [16830]: <0x0x8046fac88[WOWatchDogChild]> avoiding to respawn child before 2021-04-16 14:29:56 +0000
Apr 16 14:29:51 sogod [16830]: <0x0x8046fac38[WOWatchDogChild]> avoiding to respawn child before 2021-04-16 14:29:56 +0000
Apr 16 14:29:51 sogod [16830]: <0x0x8046fab98[WOWatchDogChild]> avoiding to respawn child before 2021-04-16 14:29:56 +0000
Apr 16 14:29:51 sogod [16830]: <0x0x8046fab48[WOWatchDogChild]> avoiding to respawn child before 2021-04-16 14:29:56 +0000
Apr 16 14:29:51 sogod [16830]: <0x0x8046faaf8[WOWatchDogChild]> avoiding to respawn child before 2021-04-16 14:29:56 +0000
Apr 16 14:29:51 sogod [16830]: <0x0x8046fa918[WOWatchDogChild]> avoiding to respawn child before 2021-04-16 14:29:56 +0000
Apr 16 14:29:51 sogod [16830]: <0x0x8046fa968[WOWatchDogChild]> avoiding to respawn child before 2021-04-16 14:29:56 +0000
^C
Comment 1 Mohammad S. Babaei 2021-04-17 17:11:06 UTC
A similar issue with Gitea https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=255156
Comment 2 Mohammad S. Babaei 2021-04-18 16:05:24 UTC
I downgraded and both Gitea and SOGo are working just fine again on 12.2-RELEASE.

https://forums.freebsd.org/threads/escaping-from-13-0-release-hell-and-back-to-12-2-release.79901/
Comment 3 Stephane 2021-04-19 06:50:57 UTC
Same thing here after 13.0 upgrade and ports recompilation

Apr 18 17:09:56 sogod [33815]: version 5.0.1 (build root@xxx.xxxxxx.xxx 202104181651) -- starting
Apr 18 17:09:56 sogod [33815]: vmem size check enabled: shutting down app when vmem > 384 MB. Currently at 0 MB
Apr 18 17:09:56 sogod [33815]: <0x0x8043bf6a8[SOGoProductLoader]> SOGo products loaded from '/usr/local/GNUstep/Local/Library/SOGo':
Apr 18 17:09:56 sogod [33815]: <0x0x8043bf6a8[SOGoProductLoader]>   SchedulerUI.SOGo, Contacts.SOGo, PreferencesUI.SOGo, MailerUI.SOGo, CommonUI.SOGo, ActiveSync.SOGo, ContactsUI.SOGo, Mailer.SOGo, Appointments.SOGo, MailPartViewers.SOGo, AdministrationUI.SOGo, MainUI.SOGo
Apr 18 17:09:56 sogod [33815]: All products loaded - current memory usage at 0 MB
Apr 18 17:09:56 sogod [33815]: <0x0x803a87b98[WOWatchDog]> listening on 127.0.0.1:20000
Apr 18 17:09:56 sogod [33815]: <0x0x803a87b98[WOWatchDog]> watchdog process pid: 33815
Apr 18 17:09:56 sogod [33815]: <0x0x8014ac648[WOWatchDogChild]> watchdog request timeout set to 10 minutes
Apr 18 17:09:56 sogod [33815]: <0x0x803a87b98[WOWatchDog]> preparing 10 children
Apr 18 17:09:56 sogod [33815]: <0x0x803a87b98[WOWatchDog]> child spawned with pid 36409
Apr 18 17:09:56 sogod [33815]: <0x0x803a87b98[WOWatchDog]> child spawned with pid 36445
Apr 18 17:09:56 sogod [33815]: <0x0x803a87b98[WOWatchDog]> child spawned with pid 37257
Apr 18 17:09:56 sogod [33815]: <0x0x803a87b98[WOWatchDog]> child spawned with pid 37798
Apr 18 17:09:56 sogod [33815]: <0x0x803a87b98[WOWatchDog]> child spawned with pid 37873
Apr 18 17:09:56 sogod [33815]: <0x0x803a87b98[WOWatchDog]> child spawned with pid 38147
Apr 18 17:09:56 sogod [36409]: [ERROR] <0x0x803a87b98[WOWatchDog]> an exception occured in runloop <NSException: 0x8044df5b8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Apr 18 17:09:56 sogod [36445]: [ERROR] <0x0x803a87b98[WOWatchDog]> an exception occured in runloop <NSException: 0x8044df5b8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Apr 18 17:09:56 sogod [33815]: <0x0x803a87b98[WOWatchDog]> child spawned with pid 38503
Apr 18 17:09:56 sogod [37257]: [ERROR] <0x0x803a87b98[WOWatchDog]> an exception occured in runloop <NSException: 0x8044df5b8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Throwing 0x8044df5b8, in flight exception: 0
Exception caught by C++: 0
Apr 18 17:09:56 sogod [37798]: [ERROR] <0x0x803a87b98[WOWatchDog]> an exception occured in runloop <NSException: 0x8044df5b8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Throwing 0x8044df5b8, in flight exception: 0
Exception caught by C++: 0
Apr 18 17:09:56 sogod [33815]: <0x0x803a87b98[WOWatchDog]> child spawned with pid 39209
Throwing 0x8044df5b8, in flight exception: 0
Exception caught by C++: 0
Apr 18 17:09:56 sogod [37873]: [ERROR] <0x0x803a87b98[WOWatchDog]> an exception occured in runloop <NSException: 0x8044df5b8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Throwing 0x8044df5b8, in flight exception: 0
Exception caught by C++: 0
Apr 18 17:09:56 sogod [38147]: [ERROR] <0x0x803a87b98[WOWatchDog]> an exception occured in runloop <NSException: 0x8044df5b8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Apr 18 17:09:56 sogod [33815]: <0x0x803a87b98[WOWatchDog]> child spawned with pid 39799
Throwing 0x8044df5b8, in flight exception: 0
Exception caught by C++: 0
Throwing 0x8044df5b8, in flight exception: 0
Exception caught by C++: 0
Apr 18 17:09:56 sogod [33815]: <0x0x803a87b98[WOWatchDog]> child spawned with pid 40093
Apr 18 17:09:56 sogod [38503]: [ERROR] <0x0x803a87b98[WOWatchDog]> an exception occured in runloop <NSException: 0x8044df5b8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Apr 18 17:09:56 sogod [39209]: [ERROR] <0x0x803a87b98[WOWatchDog]> an exception occured in runloop <NSException: 0x8044df5b8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Apr 18 17:09:56 sogod [39799]: [ERROR] <0x0x803a87b98[WOWatchDog]> an exception occured in runloop <NSException: 0x8044df5b8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Throwing 0x8044df5b8, in flight exception: 0
Exception caught by C++: 0
Throwing 0x8044df5b8, in flight exception: 0
Exception caught by C++: 0
Apr 18 17:09:56 sogod [40093]: [ERROR] <0x0x803a87b98[WOWatchDog]> an exception occured in runloop <NSException: 0x8044df5b8> NAME:NSInvalidArgumentException REASON:Can not determine type information for -[GSTinyString count] INFO:(null)
Throwing 0x8044df5b8, in flight exception: 0
Exception caught by C++: 0
Throwing 0x8044df5b8, in flight exception: 0
Exception caught by C++: 0
Apr 18 17:09:57 sogod [33815]: <0x0x804570148[WOWatchDogChild]> child 40093 exited
Apr 18 17:09:57 sogod [33815]: <0x0x8045701e8[WOWatchDogChild]> child 39799 exited
Apr 18 17:09:57 sogod [33815]: <0x0x804570198[WOWatchDogChild]> child 39209 exited
Apr 18 17:09:57 sogod [33815]: <0x0x804570378[WOWatchDogChild]> child 38503 exited
Apr 18 17:09:57 sogod [33815]: <0x0x8045703c8[WOWatchDogChild]> child 38147 exited
Apr 18 17:09:57 sogod [33815]: <0x0x804570418[WOWatchDogChild]> child 37873 exited
Apr 18 17:09:57 sogod [33815]: <0x0x8045705f8[WOWatchDogChild]> child 37798 exited
Apr 18 17:09:57 sogod [33815]: <0x0x804570648[WOWatchDogChild]> child 37257 exited
Apr 18 17:09:57 sogod [33815]: <0x0x804570828[WOWatchDogChild]> child 36445 exited
Apr 18 17:09:57 sogod [33815]: <0x0x804570878[WOWatchDogChild]> child 36409 exited
Comment 4 Mohammad S. Babaei 2021-04-19 11:21:00 UTC
I donwgraded to 12.2-RELEASE and my issues with SOGo and Gitea has been solved. I guess I'd stay away from 13.X until 13.1.
Comment 5 Jose Alonso Cardenas Marquez freebsd_committer 2021-05-20 00:02:40 UTC
*** Bug 255462 has been marked as a duplicate of this bug. ***
Comment 6 Jose Alonso Cardenas Marquez freebsd_committer 2021-05-20 00:03:38 UTC
Hi, I have updated sope/sogo to 5.1.0. Could you test if it is solved with this 
new version? I think it could be caused for some internal FreeBSD change or maybe newest version of gnustep-* could fix the problems (newest version of gnustep is not part of FreeBSD ports yet)
Comment 7 Mohammad S. Babaei 2021-05-20 09:27:12 UTC
Unfortunately, I can't test it at the moment since I only have one production server configured with SOGo and I am at the busiest point of the year. So, I won't risk the upgrade for now.
Comment 8 Stephane 2021-05-20 09:30:56 UTC
tested with some/sogo 5.1, problem is still here

I tried with upgraded gnustep base (1.28) (port rename + libunwind) same thing, I'm currently compiling thing in debug mode to find out where the exception is raised from....
Comment 9 Stephane 2021-05-20 09:34:39 UTC
gdb backtrace:

2021-05-20 11:31:55.000 sogod[73003:286148] PostgreSQL72 connection established: <0x0x8044da708[PGConnection]:  connection=0x0x804895000>
2021-05-20 11:31:55.000 sogod[73003:286148] PostgreSQL72 channel 0x0x804668728 opened (connection=<0x0x8044da708[PGConnection]:  connection=0x0x804895000>)
2021-05-20 11:31:55.000 sogod[73003:286148] PG0x0x804668728 SQL: SELECT count(*) FROM sogo_user_profile
2021-05-20 11:31:55.416 sogod[73003:286148] PG0x0x804668728 SQL: SELECT count(*) FROM sogo_folder_info
2021-05-20 11:31:55.493 sogod[73003:286148] PG0x0x804668728 SQL: SELECT count(*) FROM sogo_store
2021-05-20 11:31:55.546 sogod[73003:286148] PG0x0x804668728 SQL: SELECT count(*) FROM sogo_acl
2021-05-20 11:31:55.546 sogod[73003:286148] PG0x0x804668728 SQL: SELECT count(*) FROM sogo_cache_folder
2021-05-20 11:31:55.797 sogod[73003:286148] PG0x0x804668728 SQL: SELECT count(*) FROM sogo_quick_contact
2021-05-20 11:31:55.814 sogod[73003:286148] PG0x0x804668728 SQL: SELECT count(*) FROM sogo_quick_appointment
2021-05-20 11:31:55.860 sogod[73003:286148] PG0x0x804668728 SQL: SELECT count(*) FROM sogo_sessions_folder
May 20 11:31:55 sogod [73003]: |SOGo| WOHttpAdaptor listening on address *:20000

Breakpoint 1, -[NSException raise] (self=0x804787088, _cmd=0x80164f158 <objc_selector_raise_v160:8>) at NSException.m:1574
1574	NSException.m: No such file or directory.
(gdb) bt
#0  -[NSException raise] (self=0x804787088, _cmd=0x80164f158 <objc_selector_raise_v160:8>) at NSException.m:1574
#1  0x00000008016309fe in -[NGSocket primaryBindToAddress:] (self=0x804823198, _cmd=<optimized out>, _address=0x80478e118) at NGSocket.m:260
#2  0x0000000801630ade in -[NGSocket bindToAddress:] (self=0x804823198, _cmd=<optimized out>, _address=0x80478e118) at NGSocket.m:290
#3  0x00000008014210b8 in -[WOHttpAdaptor registerForEvents] (self=0x803c88df8, _cmd=<optimized out>) at WOHttpAdaptor.m:270
#4  0x00000008013b798b in -[WOCoreApplication _setupAdaptors] (self=<optimized out>, _cmd=<optimized out>) at WOCoreApplication.m:521
#5  0x00000008013b7afc in -[WOCoreApplication run] (self=0x803c7b208, _cmd=<optimized out>) at WOCoreApplication.m:550
#6  0x000000000102bcba in ?? ()
#7  0x00000008013d2783 in WOApplicationMain (_appClassName=_appClassName@entry=0xa73e3ef000000024, argc=argc@entry=13, argv=argv@entry=0x7fffffffd6a8) at WOApplicationMain.m:42
#8  0x00000008013e6ded in WOWatchDogApplicationMain (appName=0xa73e3ef000000024, argc=13, argv=0x7fffffffd6a8) at WOWatchDogApplicationMain.m:1049
#9  0x000000000102b085 in main ()
Comment 10 Stephane 2021-05-28 16:51:37 UTC
upon further investigation if you change the Makefile of devel/sope from 

CONFIGURE_ARGS=		--with-gnustep --disable-debug --enable-strip

to

CONFIGURE_ARGS=		--with-gnustep --disable-debug --disable-strip

everything seems to work fine
Comment 11 Samuel Faveur 2021-06-01 04:45:01 UTC
After rebuilding, the C++ exception is gone but the login connection to a 
Postgres database fails:


2021-06-01 12:38:28.134 sogod[84086:100598] PostgreSQL72 connection established: <0x0x804485d28[PGConnection]:  connection=0x0x804cfc000>
2021-06-01 12:38:28.134 sogod[84086:100598] PostgreSQL72 channel 0x0x80458f388 opened (connection=<0x0x804485d28[PGConnection]:  connection=0x0x804cfc000>)
2021-06-01 12:38:28.134 sogod[84086:100598] PG0x0x80458f388 SQL: SELECT c_password FROM XXXX WHERE c_uid = 'XXX'
Jun 01 12:38:28 sogod [83730]: <0x0x8045df1e8[WOWatchDogChild]> child 84086 exited
Jun 01 12:38:28 sogod [83730]: <0x0x8045df1e8[WOWatchDogChild]>  (terminated due to signal 6)
Comment 12 Samuel Faveur 2021-06-01 08:46:27 UTC
The issue is fixed on a separate rebuild with an LDAP backend
Comment 13 Samuel Faveur 2021-06-01 08:46:51 UTC
The issue is fixed on a separate rebuild with an LDAP backend
Comment 14 odhiambo@gmail.com 2021-06-04 13:31:25 UTC
(In reply to Jose Alonso Cardenas Marquez from comment #6)

I have installed 5.1.0 but the error is still the same:

root@gw:/usr/ports/www/sogo # /usr/local/etc/rc.d/sogod start
Starting sogod.
ld-elf.so.1: /usr/local/GNUstep/Local/Tools/Admin/sogod: Undefined symbol "._OBJC_REF_CLASS_GCSChannelManager"
/usr/local/etc/rc.d/sogod: WARNING: failed to start sogod

I even tried the --disable-strip in devel/sope as someone else suggested, but that too did not fix the problem.
Comment 15 ari 2021-07-21 01:05:15 UTC
It worked for me to change enable-strip to disable-strip in BOTH of devel/sope and www/sogo

Could someone merge this into the port tree so others don't waste hours on this?
Comment 16 Samuel Faveur 2021-07-21 03:03:17 UTC
I confirm as well that changing enable-strip to disable-strip in BOTH of devel/sope and www/sogo fixed the problem for me.
Comment 17 Jose Alonso Cardenas Marquez freebsd_committer 2021-07-21 17:10:41 UTC
(In reply to Samuel Faveur from comment #16)
latest version is working with pgsql option enable?
Comment 18 Romain Tartière freebsd_committer 2021-07-21 17:53:46 UTC
(In reply to Jose Alonso Cardenas Marquez from comment #17)

Switching from --enable-strip to --disable-strip on sope and sogo fixed the issue for me.

sope-5.1.1 Options        :
        LDAP           : on
        MEMCACHED      : on
        MYSQL          : off
        PGSQL          : on

sogo-5.1.1 Options        :
        ACTIVESYNC     : off
        MFA            : on
        SAML2          : off

openldap-sasl-server-2.4.59 Options        :
        ACCESSLOG      : on
        ACI            : off
        AUDITLOG       : on
        BDB            : off
        COLLECT        : on
        CONSTRAINT     : on
        DDS            : on
        DEBUG          : off
        DEREF          : off
        DNSSRV         : on
        DYNACL         : off
        DYNAMIC_BACKENDS: off
        DYNAMIC_MODULES: on
        DYNGROUP       : on
        DYNLIST        : on
        FETCH          : off
        GSSAPI         : off
        KQUEUE         : off
        LASTBIND       : off
        LMPASSWD       : off
        MDB            : on
        MEMBEROF       : on
        ODBC           : on
        OUTLOOK        : off
        PASSWD         : on
        PBKDF2         : off
        PCACHE         : on
        PERL           : off
        PPOLICY        : on
        REFINT         : on
        RELAY          : on
        RETCODE        : on
        RLOOKUPS       : off
        RWM            : on
        SASL           : on
        SEQMOD         : off
        SHA2           : off
        SHELL          : off
        SLAPI          : off
        SLP            : off
        SMBPWD         : off
        SOCK           : on
        SSSVLV         : on
        SYNCPROV       : on
        TCP_WRAPPERS   : off
        TRANSLUCENT    : on
        UNIQUE         : on
        VALSORT        : on

I think this is safe to commit, but with no experience in Objective C I would prefer for someone to approve this :-)
Comment 19 commit-hook freebsd_committer 2021-07-21 19:13:14 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=bbf0e2f6fad9ecbd1e0f3b6c36c68014cb11f60d

commit bbf0e2f6fad9ecbd1e0f3b6c36c68014cb11f60d
Author:     Jose Alonso Cardenas Marquez <acm@FreeBSD.org>
AuthorDate: 2021-07-21 19:05:25 +0000
Commit:     Jose Alonso Cardenas Marquez <acm@FreeBSD.org>
CommitDate: 2021-07-21 19:12:30 +0000

    www/sogo: Fix issues on FreeBSD 13.x

    PR:             255124
    Reported by:    info at babaei.net

 devel/sope/Makefile | 3 ++-
 www/sogo/Makefile   | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)
Comment 20 Jose Alonso Cardenas Marquez freebsd_committer 2021-07-21 19:16:07 UTC
I have committed the proposed changes. Test if it works for close this PR